Bug 955216 - (CVE-2013-3222) CVE-2013-3222 Kernel: atm: update msg_namelen in vcc_recvmsg()
CVE-2013-3222 Kernel: atm: update msg_namelen in vcc_recvmsg()
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130407,reported=2...
: Security
Depends On: 955222 955223 955224 955225 955226 955227 955228
Blocks: 858947
  Show dependency treegraph
 
Reported: 2013-04-22 10:47 EDT by Prasad J Pandit
Modified: 2015-07-31 03:04 EDT (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 14:01:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2013-04-22 10:47:48 EDT
Linux kernel built with the Asynchronous Transfer Mode(ATM) support is
vulnerable to an information leakage flaw. It occurs when doing recvmsg(2)
calls on the ATM PVC & SVC sockets.

A user/program could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
 -> http://git.kernel.org/linus/9b3e617f3df53822345a8573b6d358f6b9e5ed87

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/04/14/3
Comment 1 Prasad J Pandit 2013-04-22 10:56:57 EDT
Statement:

This issue affects the versions of the Linux kernel as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2. Future kernel
updates for Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2 may
address this issue.
Comment 4 Prasad J Pandit 2013-04-22 11:01:49 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 955228]
Comment 5 Fedora Update System 2013-04-26 20:06:58 EDT
kernel-3.8.8-203.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-05-03 20:09:10 EDT
kernel-3.8.11-100.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 errata-xmlrpc 2013-05-20 12:55:17 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0829 https://rhn.redhat.com/errata/RHSA-2013-0829.html
Comment 8 errata-xmlrpc 2013-07-09 23:55:11 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1034 https://rhn.redhat.com/errata/RHSA-2013-1034.html
Comment 9 errata-xmlrpc 2013-07-16 13:29:37 EDT
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1080 https://rhn.redhat.com/errata/RHSA-2013-1080.html
Comment 10 errata-xmlrpc 2013-07-16 14:29:52 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1051 https://rhn.redhat.com/errata/RHSA-2013-1051.html

Note You need to log in before you can comment on or make changes to this bug.